Skip to main content
`Ctrl`+`K`

# NEPGetFunction

Returns the Function matrix and optionally the user provided context for evaluating the Function.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetFunction(NEP nep,Mat *F,Mat *P,NEPFunctionFn **fun,void **ctx)

Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameters

- F - location to stash Function matrix (or `NULL`)

- P - location to stash preconditioner matrix (or `NULL`)

- fun - location to put Function function (or `NULL`)

- ctx - location to stash Function context (or `NULL`)

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetFunction()`

## Level

advanced

## Location

src/nep/interface/nepbasic.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages